Package org.apache.sysds.runtime.io

## Class FrameReaderFactory

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReaderFactory

    public class FrameReaderFactory
    extends Object

### Constructor Summary

Constructors
`FrameReaderFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static FrameReader` `createFrameReader​(Types.FileFormat fmt)`
`static FrameReader` `createFrameReader​(Types.FileFormat fmt, FileFormatProperties props)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameReaderFactory

    public FrameReaderFactory()

### Method Detail

#### createFrameReader

    public static FrameReader createFrameReader​(Types.FileFormat fmt)

#### createFrameReader

    public static FrameReader createFrameReader​(Types.FileFormat fmt,
                                                FileFormatProperties props)